GET openApi/students/{userIdentifier}/followUpActivities?Count={Count}&Offset={Offset}
Authorization
Access to this endpoint is granted if all following conditions are true:
- Authenticated territory has access to center which matches identifier given in "centerId" uri parameter.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| userIdentifier | PearsonEnglish.LearningServices.Business.Helpers.UserIdentifier |
Required |
|
| Count | integer |
None. |
|
| Offset | integer |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of PearsonEnglish.LearningServices.Core.Models.Views.FollowUpActivityViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier |
None. |
|
| StudentId | globally unique identifier |
None. |
|
| ReporterId | globally unique identifier |
None. |
|
| ReporterFullName | string |
None. |
|
| LocalDate | date |
None. |
|
| Result | string |
None. |
|
| HasReachedStudent | boolean |
None. |
|
| StaffMemberPhotoUris | Dictionary of Nse.ServiceBus.DataContracts.ImageResolution [key] and string [value] |
None. |
|
| FollowUpActivityType | PearsonEnglish.LearningServices.Core.Models.Views.FollowUpActivityTypeViewModel |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"Id": "fcc6cc7d-0aaf-429f-a5fe-6a86351f9d12",
"StudentId": "93796349-78ba-46de-96b0-37a9c9a003ff",
"ReporterId": "26a72b8d-e1ca-490d-96ee-69ddbdd81a16",
"ReporterFullName": "sample string 4",
"LocalDate": "2026-11-14T22:35:10.8462806+00:00",
"Result": "sample string 6",
"HasReachedStudent": true,
"StaffMemberPhotoUris": {
"Small": "sample string 1"
},
"FollowUpActivityType": {
"Id": "e2c5d4f9-df99-4b27-ba7e-d1e5bf7886a2",
"Name": "sample string 2"
}
},
{
"Id": "fcc6cc7d-0aaf-429f-a5fe-6a86351f9d12",
"StudentId": "93796349-78ba-46de-96b0-37a9c9a003ff",
"ReporterId": "26a72b8d-e1ca-490d-96ee-69ddbdd81a16",
"ReporterFullName": "sample string 4",
"LocalDate": "2026-11-14T22:35:10.8462806+00:00",
"Result": "sample string 6",
"HasReachedStudent": true,
"StaffMemberPhotoUris": {
"Small": "sample string 1"
},
"FollowUpActivityType": {
"Id": "e2c5d4f9-df99-4b27-ba7e-d1e5bf7886a2",
"Name": "sample string 2"
}
}
]